complexType "FloatingLegCalculation"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 3 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | pricingDates, averagingMethod?, spread?
</...>

Content Model Elements (3):

  averagingMethod (in calculation in floatingLeg), pricingDates (in calculation in floatingLeg), | spread (in calculation in floatingLeg)

All Direct / Indirect Based Elements (1):

  calculation (in floatingLeg)

Known Usage Locations

- As direct type of elements (1):
  calculation (in floatingLeg)

Annotation
A type to capture details relevant to the calculation of the floating price.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="FloatingLegCalculation"> <xsd:sequence> <xsd:element name="pricingDates" type="CommodityPricingDates"/> <xsd:element minOccurs="0" name="averagingMethod" type="AveragingMethodEnum"/> <!--View Generation: SKIPPED conversionFactor - Documentation--> <!--View Generation: SKIPPED rounding - Documentation--> <!--View Generation: Removed a degenerate choice.--> <xsd:element minOccurs="0" name="spread" type="CommoditySpread"/> <!--View Generation: SKIPPED fx - NonStandardFeature--> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
averagingMethod

  Type: | AveragingMethodEnum, simple content

  The parties may specify a Method of Averaging where more than one pricing Dates is being specified as being applicable.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Unweighted" | - | The arithmetic mean of the relevant rates for each reset date. See: http://www.FpML.org
  "Weighted" | - | The arithmetic mean of the relevant rates in effect for each day in a calculation period calculated by multiplying each relevant rate by the number of days such relevant rate is in effect, determining the sum of such products and dividing such sum by the number of days in the calculation period. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="averagingMethod" type="AveragingMethodEnum"/>

pricingDates

  Type: | CommodityPricingDates, complex content

  Commodity Pricing Dates.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="pricingDates" type="CommodityPricingDates"/>

spread

  Type: | CommoditySpread, complex content

  The spread over or under the Commodity Reference Price for this leg of the trade. This element is intended to be used for basis trades.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="spread" type="CommoditySpread"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.